summaryrefslogtreecommitdiffstats
path: root/third_party/rust/libc/ci/run-docker.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/rust/libc/ci/run-docker.sh')
-rw-r--r--third_party/rust/libc/ci/run-docker.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/third_party/rust/libc/ci/run-docker.sh b/third_party/rust/libc/ci/run-docker.sh
new file mode 100644
index 000000000..5ad90652f
--- /dev/null
+++ b/third_party/rust/libc/ci/run-docker.sh
@@ -0,0 +1,25 @@
+# Small script to run tests for a target (or all targets) inside all the
+# respective docker images.
+
+set -ex
+
+run() {
+ echo $1
+ docker build -t libc ci/docker/$1
+ docker run \
+ -v `rustc --print sysroot`:/rust:ro \
+ -v `pwd`:/checkout:ro \
+ -e CARGO_TARGET_DIR=/tmp/target \
+ -w /checkout \
+ --privileged \
+ -it libc \
+ ci/run.sh $1
+}
+
+if [ -z "$1" ]; then
+ for d in `ls ci/docker/`; do
+ run $d
+ done
+else
+ run $1
+fi